Bug 443622 - [REG][Xen][5.2beta] cannot open a vmcore of xen-kdump with crash
[REG][Xen][5.2beta] cannot open a vmcore of xen-kdump with crash
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kexec-tools (Show other bugs)
5.3
x86_64 Linux
low Severity low
: rc
: ---
Assigned To: Neil Horman
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-22 11:55 EDT by Dave Anderson
Modified: 2008-06-06 11:43 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-06 11:43:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dave Anderson 2008-04-22 11:55:07 EDT
Description of problem:

  [copied from BZ #442438]

  When we used crash command with vmcore which was kdumped on xen,
  I cannot open the vmcore.
  I didn't have this issue at RHEL5.1.
  I discribed the error messages in Actual Results.

Version-Release number of selected component (if applicable):

  [copied from BZ #442438]

  Red Hat Enterprise Linux Version Number: RHEL5.2 Snapshot3
  Release Number: RHEL5.2 Snapshot3
  Architecture: x86_64
  Kernel Version: kernel-xen-2.6.18-87.el5
  Related Package Version: crash 4.0-5.0.2, kexec-tools-1.102pre-16.el5
  
How reproducible:

  [copied from BZ #442438]
  
  Always

Steps to Reproduce:

  [copied from BZ #442438]

  1. modified /etc/kdump.conf
  2. reboot >>>> /etc/init.d/kdump makes a initrd for kdump.
  3. echo c >/proc/sysrq-trigger >>>> dumping
  4. after rebooting, "crash xen-syms vmcore"


Actual results:

[copied from BZ #442438]

# crash /boot/xen-syms-2.6.18-87.el5 /mnt/127.0.0.1-2008-04-10-01\\:49\\:20/vmcore 
	
	crash 4.0-5.0.2
	Copyright (C) 2002, 2003, 2004, 2005, 2006, 2007, 2008  Red Hat, Inc.
	Copyright (C) 2004, 2005, 2006  IBM Corporation
	Copyright (C) 1999-2006  Hewlett-Packard Co
	Copyright (C) 2005, 2006  Fujitsu Limited
	Copyright (C) 2006, 2007  VA Linux Systems Japan K.K.
	Copyright (C) 2005  NEC Corporation
	Copyright (C) 1999, 2002, 2007  Silicon Graphics, Inc.
	Copyright (C) 1999, 2000, 2001, 2002  Mission Critical Linux, Inc.
	This program is free software, covered by the GNU General Public License,
	and you are welcome to change it and/or distribute copies of it under
	certain conditions.  Enter "help copying" to see the conditions.
	This program has absolutely no warranty.  Enter "help warranty" for details.
	 
	GNU gdb 6.1
	Copyright 2004 Free Software Foundation, Inc.
	GDB is free software, covered by the GNU General Public License, and you are
	welcome to change it and/or distribute copies of it under certain conditions.
	Type "show copying" to see the conditions.
	There is absolutely no warranty for GDB.  Type "show warranty" for details.
	This GDB was configured as "x86_64-unknown-linux-gnu"...
	
	
	crash: cannot resolve "idle_pg_table_4"


Expected results:

  [copied from BZ #442438]

  We can open the vmcore, and analyse it.


Additional info:

  This bugzilla is cloned from crash-utility BZ #442438.  The ultimate fix
  however, will require changes to both the crash-utility and possibly
  in kexec-tools.  However, the potential kexec-tools changes are still being
  discussed upstream: 

    http://lists.infradead.org/pipermail/kexec/2008-April/001570.html

  So if it is decided to address it in the kexec-tools package, then this
  bugzilla can be used to track it.  If it only is addressed in the 
  hypervisor kernel code, then this bugzilla should be closed.
Comment 1 Dave Anderson 2008-04-22 11:57:54 EDT
This bugzilla exists to track how the RHEL5.2 xen hypervisor,
which is now relocated, passes its new "xen_phys_start" value to the
vmcore, so that the crash utility will be able to translate virtual
addresses to physical addresses, and then to their location in the vmcore.

It can be done entirely via hypervisor changes, but there are arguments
for alternatively doing it in kexec-tools.

Comment 2 Dave Anderson 2008-04-23 09:09:41 EDT
There are 3 bugzillas open to track this issue:

crash utility:
  BZ #442438 [REG][Xen][5.2beta] cannot open a vmcore of xen-kdump with crash
  https://bugzilla.redhat.com/show_bug.cgi?id=442438

kernel-xen:
  BZ #443618 [REG][Xen][5.2beta] cannot open a vmcore of xen-kdump with crash
  https://bugzilla.redhat.com/show_bug.cgi?id=443618

kexec-tools:
  BZ #443622 [REG][Xen][5.2beta] cannot open a vmcore of xen-kdump with crash
  https://bugzilla.redhat.com/show_bug.cgi?id=443622
Comment 3 RHEL Product and Program Management 2008-06-02 16:05:02 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 4 Dave Anderson 2008-06-06 11:43:26 EDT
This bug will be addressed in the kernel (hypervisor) via BZ #443618:

 kernel-xen:
  BZ #443618 [REG][Xen][5.2beta] cannot open a vmcore of xen-kdump with crash
  https://bugzilla.redhat.com/show_bug.cgi?id=443618

The patch was posted to RHKL here:
 http://post-office.corp.redhat.com/archives/rhkernel-list/2008-June/msg00046.html

In any case, it's NOTABUG w/respect to kexec-tools.

Note You need to log in before you can comment on or make changes to this bug.